OpenCV: cvflann::AutotunedIndex< Distance > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Public Types | Public Member Functions | List of all members
cvflann::AutotunedIndex< Distance > Class Template Reference

`#include "autotuned_index.h"`

Inheritance diagram for cvflann::AutotunedIndex< Distance >:

## Public Types
typedef Distance::ResultType | DistanceType
typedef Distance::ElementType | ElementType

## Public Member Functions
| AutotunedIndex (const Matrix< ElementType > &inputData, const IndexParams &params=AutotunedIndexParams(), Distance d=Distance())
| AutotunedIndex (const AutotunedIndex &)
virtual | ~AutotunedIndex ()
virtual void | buildIndex () CV_OVERRIDE
virtual void | findNeighbors (ResultSet< DistanceType > &result, const ElementType *vec, const SearchParams &searchParams) CV_OVERRIDE
IndexParams | getParameters () const CV_OVERRIDE
SearchParams | getSearchParameters () const
float | getSpeedup () const
virtual flann_algorithm_t | getType () const CV_OVERRIDE
virtual void | loadIndex (FILE *stream) CV_OVERRIDE
AutotunedIndex & | operator= (const AutotunedIndex &)
virtual void | saveIndex (FILE *stream) CV_OVERRIDE
virtual size_t | size () const CV_OVERRIDE
virtual int | usedMemory () const CV_OVERRIDE
virtual size_t | veclen () const CV_OVERRIDE
Public Member Functions inherited from cvflann::NNIndex< Distance >
virtual | ~NNIndex ()
virtual void | knnSearch (const Matrix< ElementType > &queries, Matrix< int > &indices, Matrix< DistanceType > &dists, int knn, const SearchParams &params)
| Perform k-nearest neighbor search. More...
virtual int | radiusSearch (const Matrix< ElementType > &query, Matrix< int > &indices, Matrix< DistanceType > &dists, float radius, const SearchParams &params)
| Perform radius search. More...

## Member Typedef Documentation

## ◆ DistanceType

template<typename Distance>

typedef Distance::ResultType cvflann::AutotunedIndex< Distance >::DistanceType

## ◆ ElementType

template<typename Distance>

typedef Distance::ElementType cvflann::AutotunedIndex< Distance >::ElementType

## Constructor & Destructor Documentation

## ◆ AutotunedIndex() [1/2]

template<typename Distance>

cvflann::AutotunedIndex< Distance >::AutotunedIndex | ( | const Matrix< ElementType > & | inputData,
|  | const IndexParams & | params = `AutotunedIndexParams()`,
|  | Distance | d = `Distance()`
| ) |  |
| inline

## ◆ AutotunedIndex() [2/2]

template<typename Distance>

cvflann::AutotunedIndex< Distance >::AutotunedIndex | ( | const AutotunedIndex< Distance > & |  | ) |

## ◆ ~AutotunedIndex()

template<typename Distance>

virtual cvflann::AutotunedIndex< Distance >::~AutotunedIndex | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ buildIndex()

template<typename Distance>

virtual void cvflann::AutotunedIndex< Distance >::buildIndex | ( |  | ) |
| inlinevirtual

Method responsible with building the index.

Implements cvflann::NNIndex< Distance >.

## ◆ findNeighbors()

template<typename Distance>

virtual void cvflann::AutotunedIndex< Distance >::findNeighbors | ( | ResultSet< DistanceType > & | result,
|  | const ElementType * | vec,
|  | const SearchParams & | searchParams
| ) |  |
| inlinevirtual

Method that searches for nearest-neighbors

Implements cvflann::NNIndex< Distance >.

## ◆ getParameters()

template<typename Distance>

IndexParams cvflann::AutotunedIndex< Distance >::getParameters | ( |  | ) | const
| inlinevirtual

Returns
  The index parameters

Implements cvflann::NNIndex< Distance >.

## ◆ getSearchParameters()

template<typename Distance>

SearchParams cvflann::AutotunedIndex< Distance >::getSearchParameters | ( |  | ) | const
| inline

## ◆ getSpeedup()

template<typename Distance>

float cvflann::AutotunedIndex< Distance >::getSpeedup | ( |  | ) | const
| inline

## ◆ getType()

template<typename Distance>

virtual flann_algorithm_t cvflann::AutotunedIndex< Distance >::getType | ( |  | ) | const
| inlinevirtual

Algorithm name

Implements cvflann::NNIndex< Distance >.

## ◆ loadIndex()

template<typename Distance>

virtual void cvflann::AutotunedIndex< Distance >::loadIndex | ( | FILE * | stream | ) |
| inlinevirtual

Loads the index from a stream

Implements cvflann::NNIndex< Distance >.

## ◆ operator=()

template<typename Distance>

AutotunedIndex& cvflann::AutotunedIndex< Distance >::operator= | ( | const AutotunedIndex< Distance > & |  | ) |

## ◆ saveIndex()

template<typename Distance>

virtual void cvflann::AutotunedIndex< Distance >::saveIndex | ( | FILE * | stream | ) |
| inlinevirtual

Saves the index to a stream

Implements cvflann::NNIndex< Distance >.

## ◆ size()

template<typename Distance>

virtual size_t cvflann::AutotunedIndex< Distance >::size | ( |  | ) | const
| inlinevirtual

Number of features in this index.

Implements cvflann::NNIndex< Distance >.

## ◆ usedMemory()

template<typename Distance>

virtual int cvflann::AutotunedIndex< Distance >::usedMemory | ( |  | ) | const
| inlinevirtual

The amount of memory (in bytes) this index uses.

Implements cvflann::NNIndex< Distance >.

## ◆ veclen()

template<typename Distance>

virtual size_t cvflann::AutotunedIndex< Distance >::veclen | ( |  | ) | const
| inlinevirtual

The length of each vector in this index.

Implements cvflann::NNIndex< Distance >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/autotuned_index.h